Package com.explodingpixels.macwidgets

## Class SourceListSeaGlassColorScheme

- java.lang.Object
- - com.explodingpixels.macwidgets.SourceListStandardColorScheme
  - - com.explodingpixels.macwidgets.SourceListSeaGlassColorScheme

All Implemented Interfaces:
  `SourceListColorScheme`

    public class SourceListSeaGlassColorScheme
    extends SourceListStandardColorScheme

### Field Summary

Fields
`static java.awt.Color` `ACTIVE_BACKGROUND_COLOR`
`static java.awt.Color` `INACTIVE_BACKGROUND_COLOR`

### Fields inherited from class com.explodingpixels.macwidgets.SourceListStandardColorScheme

`UNSELECTED_COLLAPSED_ICON`

### Constructor Summary

Constructors
`SourceListSeaGlassColorScheme()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.awt.Color` `getActiveBackgroundColor()` The background color of the `SourceList` when it is in an active window.
`MacWidgetsPainter<java.awt.Component>` `getActiveFocusedSelectedItemPainter()` The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in the active window and has focus.
`java.awt.Color` `getInactiveBackgroundColor()` The background color of the `SourceList` when it is in an inactive window.

### Methods inherited from class com.explodingpixels.macwidgets.SourceListStandardColorScheme

`getActiveUnfocusedSelectedItemPainter, getActiveUnselectedBadgeColor, getBadgeTextColor, getCategoryTextColor, getCategoryTextShadowColor, getInactiveSelectedItemPainter, getInativeUnselectedBadgeColor, getSelectedBadgeColor, getSelectedCollapsedIcon, getSelectedExpandedIcon, getSelectedItemFontShadowColor, getSelectedItemTextColor, getUnselectedCollapsedIcon, getUnselectedExpandedIcon, getUnselectedItemTextColor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ACTIVE_BACKGROUND_COLOR

    public static final java.awt.Color ACTIVE_BACKGROUND_COLOR

#### INACTIVE_BACKGROUND_COLOR

    public static final java.awt.Color INACTIVE_BACKGROUND_COLOR

### Constructor Detail

#### SourceListSeaGlassColorScheme

    public SourceListSeaGlassColorScheme()

### Method Detail

#### getActiveFocusedSelectedItemPainter

    public MacWidgetsPainter<java.awt.Component> getActiveFocusedSelectedItemPainter()

Description copied from interface: `SourceListColorScheme`
The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in the active window and has focus.

Specified by:
  `getActiveFocusedSelectedItemPainter` in interface `SourceListColorScheme`
Overrides:
  `getActiveFocusedSelectedItemPainter` in class `SourceListStandardColorScheme`
Returns:
  the `Painter` to use for painting the selection in an active window where the `SourceList` has focus.

#### getActiveBackgroundColor

    public java.awt.Color getActiveBackgroundColor()

Description copied from interface: `SourceListColorScheme`
The background color of the `SourceList` when it is in an active window.

Specified by:
  `getActiveBackgroundColor` in interface `SourceListColorScheme`
Overrides:
  `getActiveBackgroundColor` in class `SourceListStandardColorScheme`
Returns:
  the background color of the `SourceList` when it is in an active window.

#### getInactiveBackgroundColor

    public java.awt.Color getInactiveBackgroundColor()

Description copied from interface: `SourceListColorScheme`
The background color of the `SourceList` when it is in an inactive window.

Specified by:
  `getInactiveBackgroundColor` in interface `SourceListColorScheme`
Overrides:
  `getInactiveBackgroundColor` in class `SourceListStandardColorScheme`
Returns:
  the background color of the `SourceList` when it is in an inactive window.